diff docs/UPDATE.html @ 0:77665d8e2254

tag of nonpublic@localhost--archive/moin--enterprise--1.5--base-0 (automatically generated log message) imported from: moin--main--1.5--base-0
author Thomas Waldmann <tw-public@gmx.de>
date Thu, 22 Sep 2005 15:09:50 +0000
parents
children cfbecd3400d3
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/docs/UPDATE.html	Thu Sep 22 15:09:50 2005 +0000
@@ -0,0 +1,281 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
+<html>
+<head>
+<link rel="shortcut icon" href="http://moinmaster.wikiwikiweb.de/wiki/favicon.ico">
+<meta http-equiv="Content-Type" content="text/html;charset=utf-8">
+<meta name="robots" content="noindex,nofollow">
+
+
+<title>HelpOnUpdating - MoinMaster</title>
+
+<link rel="stylesheet" type="text/css" charset="utf-8" media="all" href="wiki/htdocs/modern/css/common.css">
+<link rel="stylesheet" type="text/css" charset="utf-8" media="all" href="wiki/htdocs/modern/css/print.css">
+<link rel="alternate" title="MoinMaster Recent Changes" href="http://moinmaster.wikiwikiweb.de/RecentChanges?action=rss_rc&amp;ddiffs=1&amp;unique=1" type="application/rss+xml">
+<link rel="Start" href="http://moinmaster.wikiwikiweb.de/FrontPage">
+<link rel="Alternate" title="Wiki Markup" href="http://moinmaster.wikiwikiweb.de/HelpOnUpdating?action=raw">
+<link rel="Alternate" media="print" title="Print View" href="http://moinmaster.wikiwikiweb.de/HelpOnUpdating?action=print">
+<link rel="Search" href="http://moinmaster.wikiwikiweb.de/FindPage">
+<link rel="Index" href="http://moinmaster.wikiwikiweb.de/TitleIndex">
+<link rel="Glossary" href="http://moinmaster.wikiwikiweb.de/WordIndex">
+<link rel="Help" href="http://moinmaster.wikiwikiweb.de/HelpOnFormatting">
+</head>
+
+<body  lang="en" dir="ltr">
+<div id="page" lang="en" dir="ltr">
+
+<h1 id="title">HelpOnUpdating</h1>
+<div lang="en" id="content" dir="ltr">
+<a id="top"></a>
+<p><a href="http://moinmaster.wikiwikiweb.de/HelpContents">HelpContents</a> &gt; <a href="http://moinmaster.wikiwikiweb.de/HelpOnAdministration">HelpOnAdministration</a> &gt; HelpOnUpdating  </p>
+<p><strong>Index</strong> <ol>
+<li><a href="#head-e9fc017905cde431b9eb693851523c71c81b9a9e">General procedures</a><ol>
+<li><a href="#head-6c62d24dd986c08a1a21ae0a6e2c4548f79f989d">Backup</a></li>
+<li><a href="#head-28a7e259e240e06c446a4e260ad6a96322de263d">Install</a></li>
+<li><a href="#head-1409f14b1d4801cdc1cfa7a7d31ebe9011a350f1">Configuration update</a></li>
+<li><a href="#head-93651cf60ec7638f011aa01673f747b168e68c9e">Updating files</a></li>
+<li><a href="#head-7aa313a5b6991fdd59b559e6d7c26fb14442e8b7">Troubleshooting</a></li>
+</ol>
+<li><a href="#head-b3a424f875af1a1f08e21a2a771ecd7459a6d4dc">Upgrade information for specfic versions</a><ol>
+<li><a href="#head-d45ca8cc7a44289d82ff1d58582c89bb638f3fcd">Version 1.0</a></li>
+<li><a href="#head-ab06519c303d7468ebd774ccade247864c85511f">Version 1.1</a></li>
+<li><a href="#head-b67c2d9266310861577c255faf04abda607713c7">Version 1.2</a></li>
+<li><a href="#head-6b39642936e912c76ea6eec794a0ce182bf5f751">Version 1.2.1, 1.2.2, 1.2.3</a></li>
+<li><a href="#head-bad7644afcfbab5ecaffd6f8fa739abf11841232">Version 1.3</a></li>
+<li><a href="#head-64b74b335c0bb5764150db10b4f12dc7b9b1154f">Deprecation Note</a></li>
+</ol>
+</li>
+</ol>
+ </p>
+
+<h3 id="head-e9fc017905cde431b9eb693851523c71c81b9a9e">General procedures</h3>
+
+
+<h4 id="head-6c62d24dd986c08a1a21ae0a6e2c4548f79f989d">Backup</h4>
+
+<p><img src="wiki/htdocs/modern/img/alert.png" alt="/!\" height="15" width="15"> <strong>Before you update an existing wiki, MAKE A BACKUP!</strong> </p>
+<p>You have been warned, and it's not our fault when you end up like this: <img src="wiki/htdocs/modern/img/angry.png" alt="X-(" height="15" width="15">  </p>
+<p>There are two directory trees which you should backup: </p>
+<ul>
+<li><p> The one containing the <a href="http://moinmaster.wikiwikiweb.de/MoinMoin">MoinMoin</a> executable files (e.g. <tt>/usr/lib/python*.*/site-packages/MoinMoin</tt>) </p>
+</li>
+<li><p> and the one containing the data (e.g. <tt>/usr/share/moin/wikiname/data</tt> - see data_dir in your moin_config.py).  </p>
+</li>
+</ul>
+<p>The pathes depend on your installation. </p>
+
+<h4 id="head-28a7e259e240e06c446a4e260ad6a96322de263d">Install</h4>
+
+<p>Download the <a href="http://moinmaster.wikiwikiweb.de/MoinMoin">MoinMoin</a> code that you are interested in updating to. </p>
+<p>As root, run "<tt>python&nbsp;setup.py&nbsp;install</tt>" to install the new version. </p>
+
+<h4 id="head-1409f14b1d4801cdc1cfa7a7d31ebe9011a350f1">Configuration update</h4>
+
+<p>After upgrading, your existing wiki should continue to work (the goal is to have sane defaults for any new config values, but then there can be bugs). Check that this is indeed the case, and then take the time to check the CHANGES file in your distribution. Often, new features will be invisible unless your extend your configuration in "moin_config.py" (1.3: wikiconfig.py). </p>
+<p>This is especially true for: </p>
+<ul>
+<li><p> somewhat dangerous macros that won't be activated by default, because they're not advisable for public wikis. You need to explicitely activate those by adding an <tt>allowed_actions</tt> list to the config. Currently, the actions <tt>DeletePage</tt> and <tt>AttachFile</tt> are considered unsafe. </p>
+</li>
+<li class="gap"><p> email features: you need to provide <tt>mail_smarthost</tt> and <tt>mail_from</tt>. </p>
+</li>
+<li class="gap"><p> new pages icons: to get new icons like "XML", "Subscribe" etc. it's best to just delete the <tt>page_icons</tt> setting, now that "config.py" has a default for it. If you changed it in the past, add new icons from the "config.py" default to your "moin_config.py". </p>
+</li>
+</ul>
+
+<h4 id="head-93651cf60ec7638f011aa01673f747b168e68c9e">Updating files</h4>
+
+<dl>
+<dt>Images and CSS</dt>
+<dd><p>On every update, you should copy the content of the "share/moin/htdocs/" directory to the directory visible to your web server, normally a new release has some new images and CSS in it. If you use the default distutils setup scheme, this is no longer necessary (distutils updates the files for you, and your webserver gets the files from the installed images and CSS). </p>
+</dd>
+<dt>System pages</dt>
+<dd><p>When upgrading to a new version, copy at least the help pages ("Help*") to your existing directory. Then check whether you miss any new system pages. In 1.3 these pages are kept separate in the underlay directory. </p>
+</dd>
+<dt>InterWiki</dt>
+<dd><p>Check that you have the newest "intermap.txt" file; If you have your own entries, you can point "shared_intermap" at a file loaded <em>before</em> the file in your data directory, which takes precedence (i.e. have global entries in the shared one, private entries the data dir file). </p>
+</dd>
+</dl>
+
+<h4 id="head-7aa313a5b6991fdd59b559e6d7c26fb14442e8b7">Troubleshooting</h4>
+
+<p>A good idea is to do a request for "moin.cgi?action=test" (which calls an internal diagnosis feature) after you installed a new release, which will spot some common errors. </p>
+<p>Depending on your installation, more tightly secured permissions are a good idea. Ideally, you assign all files in the data directory to the user the web server runs under, and then you use <tt>700</tt> or <tt>755</tt>. </p>
+
+<h3 id="head-b3a424f875af1a1f08e21a2a771ecd7459a6d4dc">Upgrade information for specfic versions</h3>
+
+<p>The following sections provide information pertaining to specific versions of the software; if you jump several versions, read all the sections applying to your situation. </p>
+<a id="update-1-0"></a>
+<p> </p>
+
+<h4 id="head-d45ca8cc7a44289d82ff1d58582c89bb638f3fcd">Version 1.0</h4>
+
+<p>Version 1.0 is the last to support Python 1.5.2, but some optional features (like statistics) already require Python 2.0. </p>
+<a id="update-1-1"></a>
+<p> </p>
+
+<h4 id="head-ab06519c303d7468ebd774ccade247864c85511f">Version 1.1</h4>
+
+<p>Be sure to read the above section on <em>General procedures</em> before you start upgrading. </p>
+<p><strong>Version 1.1 requires Python 2.0 or higher</strong>, we recommend to use Python 2.2 (version 2.2.2 if that is available on your host) or even better &gt;= 2.3.2 (with 2.3.x, <a href="http://moinmaster.wikiwikiweb.de/MoinMoin">MoinMoin</a> runs about 20-30% faster). </p>
+<p><strong>Upgrading your configuration</strong> </p>
+<ul>
+<li><p> If you changed the default for <tt>page_template_ending</tt>, this is now called <tt>page_template_regex</tt> and must contain a regex (defaults to '[a-z]Template$'). </p>
+</li>
+<li><p> Same applies to <tt>page_form_ending</tt> now called <tt>page_form_regex</tt> (default: '[a-z]Form$') </p>
+</li>
+<li><p> Not a new feature, but configurable now: <tt>page_category_regex</tt> (default: '^Category[A-Z]') </p>
+</li>
+<li><p> If you have added your own <tt>SecurityPolicy</tt>, the class interface for that has changed (see <tt>security.py</tt>). </p>
+</li>
+</ul>
+<p><strong>Enabling new features</strong> </p>
+<ul>
+<li><p> <tt>default_lang</tt> (default: 'en') - If user does not set a language in his user settings, this will be used. </p>
+</li>
+<li><p> <tt>edit_locking</tt> (default: <tt>'warn&nbsp;10'</tt>) - Editor locking policy: None, 'warn &lt;timeout in minutes&gt;', or 'lock &lt;timeout in minutes&gt;'. </p>
+</li>
+<li><p> <tt>hosts_deny</tt> (default: <tt>[]</tt>) - a list of denied IPs; if an IP ends with a dot, it denies a whole subnet (class A, B or C). </p>
+</li>
+<li><p> <tt>html_pagetitle</tt> (default: <tt>None</tt>) -  Allows you to set a specific HTML page title (if not set, it defaults to the value of sitename). </p>
+</li>
+<li><p> <tt>mail_login</tt> (default: <tt>None</tt>) - This is only needed when you use SMTP AUTH to send mail; in that case, set this to the username and password separated by a space, i.e. "user pwd". </p>
+</li>
+<li><p> <tt>smileys</tt> (default: <tt>{}</tt>) -  User-defined smileys (a dict with the markup as the key and a tuple of width, height, border, image name as the value). </p>
+</li>
+<li><p> don't forget to read the CHANGES file in the distribution archive </p>
+</li>
+</ul>
+<a id="update-1-2"></a>
+<p> </p>
+
+<h4 id="head-b67c2d9266310861577c255faf04abda607713c7">Version 1.2</h4>
+
+<p><strong>Version 1.2 requires Python 2.2.2 or higher</strong>, we recommend to use Python &gt;=2.3.2 (with 2.3.x, <a href="http://moinmaster.wikiwikiweb.de/MoinMoin">MoinMoin</a> runs about 20-30% faster). </p>
+<ul>
+<li><p> the URL for the <a href="http://moinmaster.wikiwikiweb.de/RecentChanges">RecentChanges</a> RSS feed changed. It now only works with <tt>?action=rss_rc</tt>. </p>
+</li>
+<li class="gap"><p> drawings use a new applet. It saves PNG instead of GIF and can do image maps to make areas of the drawing active. On display a GIF will be searched if no PNG is found. We recommend changing all GIFs to indexed PNGs cause this fallback might disappear in later versions. Sample code using bash &amp; ImageMagick (be sure you know what you do): 
+</p>
+<pre>
+for draw in `find /path/to/wiki/data -name \*.draw`; do
+    file=`dirname $draw`/`basename $draw .draw`
+    if [ -e "${file}.gif" ]; then
+        echo "Converting ${file}.gif to ${file}.png"
+        convert "${file}.gif" "${file}.png"
+    fi
+done
+</pre>
+</li>
+<li class="gap"><p> <tt>caching_formats</tt> (default: <tt>['text_html',]</tt>) - enable caching for the given output formats; enabled by default. Developers maybe want to disable this and use the empty list. </p>
+</li>
+<li class="gap"><p> Themeing and HTML/CSS cleanup </p>
+<ul>
+<li><p> Browsers with completely broken CSS support (like e.g. Netscape 4.x) are no longer supported. If you still need to support them, do not upgrade to moin 1.2. If you still use these browsers, we recommend that you upgrade your browser first (Mozilla 1.5 has nice and standards compliant HTML and CSS support and is available as Free Software for Windows, Linux and Mac). </p>
+</li>
+<li><p> If you changed any html in code or by config you will have to check if it still works. For the usual stuff, look into <tt>MoinMoin/theme/classic.py</tt> and <tt>classic/css/screen.css</tt>. For config defaults of the html fragments, read <tt>MoinMoin/config.py</tt>. If you want to modify a theme, don't simply change classic, but copy or subclass it under a new theme name. </p>
+</li>
+<li><p> because of the new theme support the layout of the <tt>htdocs</tt> directory changed: </p>
+<ul>
+<li><p> Instead of using icons under <tt>img/</tt> and css under <tt>css/</tt>, there will be an additional <tt>themename/</tt> directory in between, e.g. <tt>classic/img/</tt> and <tt>classic/css/</tt>. If you added own icons, you may have to copy them to the themes directory. </p>
+</li>
+<li><p> The filename of the CSS file has changed to the media type, so the normal one used for screen output has changed name from <tt>moinmoin.css</tt> to <tt>screen.css</tt>. There also were quite some changes and enhancements to the CSS files, so better use the new ones. </p>
+</li>
+</ul>
+</li>
+<li><p> config.css_url was removed </p>
+</li>
+</ul>
+</li>
+<li class="gap"><p> Plugins - we use a new plugin loader that requires a correct <tt>__init__.py</tt> file in the plugin directories. See the directory <tt>wiki/data/plugin/</tt> in the distribution archive and just copy it over to your wiki's plugin directory. </p>
+</li>
+<li class="gap"><p> Do not forget to update to the new Twikidrawplugin that comes with moin 1.2. </p>
+</li>
+<li class="gap"><p> removed config variables: </p>
+<ul>
+<li><p> external_diff (not needed any more, we have internal diff now) </p>
+</li>
+<li><p> shared_metadb (wasn't implemented for long - we will re-add it, when it is) </p>
+</li>
+<li><p> title1/2 (please use page_header1/2) </p>
+</li>
+<li><p> page_icons_up </p>
+</li>
+</ul>
+</li>
+<li class="gap"><p> changed config variables: </p>
+<ul>
+<li><p> changed_time_fmt (removed some html and brackets around time from default) </p>
+</li>
+<li><p> html_head (default is empty string now) </p>
+</li>
+<li><p> page_footer1/2 (default is empty string now) </p>
+</li>
+<li><p> page_icons (is now a list of icon names, not html any more) </p>
+</li>
+<li><p> umask (default is 0770 now, not world r/w any more == more secure) </p>
+</li>
+</ul>
+</li>
+<li class="gap"><p> new config variables (see <a class="interwiki" title="MoinMaster" href="http://moinmaster.wikiwikiweb.de/HelpOnConfiguration"><img src="wiki/htdocs/modern/img/moin-inter.png" alt="[MoinMaster]" height="16" width="16">HelpOnConfiguration</a>): </p>
+<ul>
+<li><p> cookie_lifetime </p>
+</li>
+<li><p> mail_login </p>
+</li>
+<li><p> page_credits </p>
+</li>
+<li><p> page_dict_regex </p>
+</li>
+<li><p> page_group_regex </p>
+</li>
+<li><p> page_header1/2 </p>
+</li>
+<li><p> page_iconbar  </p>
+</li>
+<li><p> page_icons_table </p>
+</li>
+<li><p> page_license_enabled </p>
+</li>
+<li><p> page_license_page </p>
+</li>
+<li><p> theme_default </p>
+</li>
+<li><p> theme_force </p>
+</li>
+<li><p> tz_offset  </p>
+</li>
+</ul>
+</li>
+</ul>
+<a id="update-1-2-1"></a>
+<p> <a id="update-1-2-2"></a>
+ <a id="update-1-2-3"></a>
+ </p>
+
+<h4 id="head-6b39642936e912c76ea6eec794a0ce182bf5f751">Version 1.2.1, 1.2.2, 1.2.3</h4>
+
+<p>As 1.2.x is primarily a bug-fix release for 1.2, there is not much special if you run 1.2 and want to update to 1.2.x. </p>
+<p>If you run a version previous to 1.2, please read above about upgrading to 1.2 first. </p>
+<p>In any case, read the <tt>CHANGES</tt> file in the toplevel directory of your moin archive - all fixes are described there and also some few new features. </p>
+<p>Be aware that except code fixes, there were also fixes in the data and htdocs directory - so please selectively copy them over to your running wiki installation. </p>
+<a id="update-1-3"></a>
+<p> </p>
+
+<h4 id="head-bad7644afcfbab5ecaffd6f8fa739abf11841232">Version 1.3</h4>
+
+<p><img src="wiki/htdocs/modern/img/alert.png" alt="/!\" height="15" width="15"> Upgrading to moin 1.3 will be non-trivial. It will definitely take you more than 5 minutes. <img src="wiki/htdocs/modern/img/alert.png" alt="/!\" height="15" width="15"> </p>
+<p>This is because of many changes to configuration, data format, filenames and pathes. </p>
+<p>In any case, make a backup or you risk destroying your wiki's content. </p>
+<p>Please read the files <tt>CHANGES</tt> and <tt>README.migration</tt> in the toplevel directory of your moin archive for details on what changed and how to upgrade. </p>
+
+<h4 id="head-64b74b335c0bb5764150db10b4f12dc7b9b1154f">Deprecation Note</h4>
+
+<p>This page is deprecated (at least the version specific stuff on it), for 1.4 it will be gone and we will use CHANGES file exclusively. </p>
+<a id="bottom"></a>
+
+</div>
+<p id="pageinfo" class="info" lang="en" dir="ltr">last edited 2005-02-02 20:39:41 by <span title="p5082DDED.dip0.t-ipconnect.de">AlexanderSchremmer</span></p>
+<div id="pagebottom"></div>
+</div>
+</body>
+</html>
+